Installing onto a Debian system... install-info problems

Gerard Beekmans gerard at linuxfromscratch.org
Wed Dec 13 13:08:53 PST 2000


On December 13, 2000 07:33 am, you wrote:
> Hi,
> I'm trying to install LFS onto a system currently running Debian
> (2.2r0).... I'm getting an error whenever install-info is called.. it
> complains about the --dir-file option not being valid. I remember I solved
> this one before... b/c I used to have an LFS system running!, but I don't
> recall how... can anyone enlighten me? Thanks.

it happens because debian's texinfo package (specifically the makeinfo 
program) is an old version (if they upgrade it breaks the dselect program for 
some reason). You could try to uninstall texinfo, install a newer texinfo 
(the one that LFS Book uses), go up to chroot, remove texinfo from Debian, 
install the texinfo debian package again.

-- 
Gerard Beekmans
www.linuxfromscratch.org

-*- If Linux doesn't have the solution, you have the wrong problem -*-

-- 
Unsubscribe: send email to lfs-discuss-request at linuxfromscratch.org
and put unsubscribe in the subject header of the message




More information about the lfs-dev mailing list